<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="imposto">
      <h2 data-cy="impostoDetailsHeading"><span jhiTranslate="madmApp.imposto.detail.title">Imposto</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ imposto.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imposto.tipoImposto">Tipo Imposto</span></dt>
        <dd>
          <span jhiTranslate="{{ 'madmApp.TipoImposto.' + imposto.tipoImposto }}">{{ imposto.tipoImposto }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imposto.valorDevido">Valor Devido</span></dt>
        <dd>
          <span>{{ imposto.valorDevido }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imposto.dataVencimento">Data Vencimento</span></dt>
        <dd>
          <span>{{ imposto.dataVencimento | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.imposto.imovel">Imovel</span></dt>
        <dd>
          <div *ngIf="imposto.imovel">
            <a [routerLink]="['/imovel', imposto.imovel?.id, 'view']">{{ imposto.imovel?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/imposto', imposto.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
